# Google Play Game Services API . leaderboards

## Instance Methods

Retrieves the metadata of the leaderboard with the given ID.

Lists all the leaderboard metadata for your application.

Retrieves the next page of results.

### Method Details

`get(leaderboardId, language=None)`

    Retrieves the metadata of the leaderboard with the given ID.

    Args:
      leaderboardId: string, The ID of the leaderboard. (required)
      language: string, The preferred language to use for strings returned by this method.

    Returns:
      An object of the form:

        { # This is a JSON template for the Leaderboard resource.
        "kind": "games#leaderboard", # Uniquely identifies the type of this resource. Value is always the fixed string games#leaderboard.
        "isIconUrlDefault": True or False, # Indicates whether the icon image being returned is a default image, or is game-provided.
        "name": "A String", # The name of the leaderboard.
        "id": "A String", # The leaderboard ID.
        "iconUrl": "A String", # The icon for the leaderboard.
        "order": "A String", # How scores are ordered.
            # Possible values are:
            # - "LARGER_IS_BETTER" - Larger values are better; scores are sorted in descending order.
            # - "SMALLER_IS_BETTER" - Smaller values are better; scores are sorted in ascending order.
      }

`list(pageToken=None, language=None, maxResults=None)`

    Lists all the leaderboard metadata for your application.

    Args:
      pageToken: string, The token returned by the previous request.
      language: string, The preferred language to use for strings returned by this method.
      maxResults: integer, The maximum number of leaderboards to return in the response. For any response, the actual number of leaderboards returned may be less than the specified maxResults.

    Returns:
      An object of the form:

        { # This is a JSON template for a list of leaderboard objects.
        "nextPageToken": "A String", # Token corresponding to the next page of results.
        "items": [ # The leaderboards.
          { # This is a JSON template for the Leaderboard resource.
            "kind": "games#leaderboard", # Uniquely identifies the type of this resource. Value is always the fixed string games#leaderboard.
            "isIconUrlDefault": True or False, # Indicates whether the icon image being returned is a default image, or is game-provided.
            "name": "A String", # The name of the leaderboard.
            "id": "A String", # The leaderboard ID.
            "iconUrl": "A String", # The icon for the leaderboard.
            "order": "A String", # How scores are ordered.
                # Possible values are:
                # - "LARGER_IS_BETTER" - Larger values are better; scores are sorted in descending order.
                # - "SMALLER_IS_BETTER" - Smaller values are better; scores are sorted in ascending order.
          },
        ],
        "kind": "games#leaderboardListResponse", # Uniquely identifies the type of this resource. Value is always the fixed string games#leaderboardListResponse.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.